%define	major 2
%define libname	%mklibname portaudio %{major}
%define develname %mklibname portaudio -d
%define snapshot 20071207

Summary:	Cross platform audio I/O library
Name:		portaudio
Version:	19
Release:	%mkrel 10
Group:		System/Libraries
License:	BSD
URL:		http://www.portaudio.com/
Source0:	http://www.portaudio.com/archives/pa_stable_v%{version}_%{snapshot}.tar.gz
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	pkgconfig
BuildRequires:	libalsa-devel
BuildRequires:	libjack-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n	%{libname}
Summary:	Cross platform audio I/O library
Group:          System/Libraries

%description -n	%{libname}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n	%{develname}
Summary:	Static library and header files for the PortAudio library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d portaudio 2
Obsoletes:	%mklibname -d portaudio 1
Conflicts:	%mklibname -d portaudio 0
# (Anssi 03/2008) Do not obsolete portaudio0, we still have it.

%description -n	%{develname}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

This package contains the static PortAudio library and its header
files.

%prep

%setup -q -n %{name}

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f | xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; autoconf

%configure2_5x \
    --with-alsa \
    --with-jack

%make

#CC="gcc" \
#    CFLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE -Ipa_common -Ipablio"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/portaudio-*.pc


%changelog
* Fri Mar 07 2008 Funda Wang <fundawang@mandriva.org> 19-10mdv2008.1
+ Revision: 181137
- conflicts with portaudio0-devel

* Thu Mar 06 2008 Anssi Hannula <anssi@mandriva.org> 19-9mdv2008.1
+ Revision: 180947
- do not obsolete portaudio0, we still have it

* Tue Mar 04 2008 Funda Wang <fundawang@mandriva.org> 19-8mdv2008.1
+ Revision: 178485
- obsoletes more old devel package

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 19-7mdv2008.1
+ Revision: 171049
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 19-6mdv2008.1
+ Revision: 169000
- Update to stable v19 20071207 snapshot (fixes espeak when using pulseaudio alsa plugin)

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 19-5mdv2008.1
+ Revision: 157826
- new devel package policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 19-4mdv2008.0
+ Revision: 67030
- use a new snapshot due to api changes in latest jackit
- the patch (P4) does not apply (no more pablio/ringbuffer.h)


* Fri Oct 13 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-12 07:12:50 (63693)
- fix deps

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-10-10 16:22:50 (63359)
- Fix major

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-10-10 13:53:06 (63287)
- Fix Makefile (add 2 needed .h files)

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-10-10 12:49:52 (63263)
Import portaudio

* Wed Oct 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 19-1mdv2007.1
- Snapshot of V19
- Remove patches (merged upstream)

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 18.1-4mdk
- use libtool to make the shared lib (P0, debian)
- added two oss patches (P1, P2, debian)

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 18.1-3mdk
- link it against -lpthread (gb)

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 18.1-2mdk
- fix requires-on-release

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 18.1-1mdk
- initial mandrake package
- build it different and add pablio to it (P0)

